python2-gpod-0.8.3-lp150.70.1.x86_64.rpm


Advertisement

Description

python2-gpod - Python bindings for libgpod, a library to edit songs and playlists on an iPod

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Multimedia Libs all
Package name python2-gpod
Package version 0.8.3
Package release lp150.70.1
Package architecture x86_64
Package type rpm
Installed size 899.08 KB
Download size 149.31 KB
Official Mirror ftp.gwdg.de
libgpod is a library meant to abstract access to iPod content. It
provides an API to retrieve the list of files and
playlists stored on an iPod, modify them, and save them back to the iPod.
This package provides python2 bindings.

Alternatives

Package Version Architecture Repository
python2-gpod-0.8.3-lp150.2.27.x86_64.rpm 0.8.3 x86_64 openSUSE Oss
python2-gpod - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libgdk_pixbuf-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgpod.so.4()(64bit) -
libpthread.so.0()(64bit) -
python(abi) = 2.7
python-mutagen -

Provides

Name Value
libgpod-python = 0.8.3
python-gpod = 0.8.3
python2-gpod = 0.8.3-lp150.70.1
python2-gpod(x86-64) = 0.8.3-lp150.70.1

Obsoletes

Name Value
libgpod-python < 0.8.3

Download

Type URL
Binary Package python2-gpod-0.8.3-lp150.70.1.x86_64.rpm
Source Package libgpod-0.8.3-lp150.70.1.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_15.0/ opensuse-multimedia-libs
  2. Install python2-gpod rpm package:
    # zypper install python2-gpod

Files

Path
/usr/lib64/python2.7/site-packages/gpod/__init__.py
/usr/lib64/python2.7/site-packages/gpod/__init__.pyc
/usr/lib64/python2.7/site-packages/gpod/__init__.pyo
/usr/lib64/python2.7/site-packages/gpod/_gpod.so
/usr/lib64/python2.7/site-packages/gpod/gpod.py
/usr/lib64/python2.7/site-packages/gpod/gpod.pyc
/usr/lib64/python2.7/site-packages/gpod/gpod.pyo
/usr/lib64/python2.7/site-packages/gpod/gtkpod.py
/usr/lib64/python2.7/site-packages/gpod/gtkpod.pyc
/usr/lib64/python2.7/site-packages/gpod/gtkpod.pyo
/usr/lib64/python2.7/site-packages/gpod/ipod.py
/usr/lib64/python2.7/site-packages/gpod/ipod.pyc
/usr/lib64/python2.7/site-packages/gpod/ipod.pyo
/usr/share/doc/packages/python2-gpod/COPYING
/usr/share/doc/packages/python2-gpod/examples/add_song.py
/usr/share/doc/packages/python2-gpod/examples/coverart_fetch.py
/usr/share/doc/packages/python2-gpod/examples/create_mp3_tags_from_itdb.py
/usr/share/doc/packages/python2-gpod/examples/fix_empty_artist_field.py
/usr/share/doc/packages/python2-gpod/examples/play_with_ipod_api.py
/usr/share/doc/packages/python2-gpod/examples/play_with_smart_playlists.py
/usr/share/doc/packages/python2-gpod/examples/save_photos.py
/usr/share/doc/packages/python2-gpod/examples/tag_genre_from_audioscrobber.py
/usr/share/doc/packages/python2-gpod/examples/toy_around.py

Changelog

2018-06-11 - bjorn.lie@gmail.com
- Change bcond_without mono to bcond_with mono, no longer build
mono support/sub-package by default.
2018-01-23 - jengelh@inai.de
- Fix groups of SRPM and documentation. Make doc noarch.
Trim bias from description.
2018-01-23 - tchvatal@suse.com
- Conditionalize python2 module build as it is not compatible with
python3 at all and we do not need it by default
* This allows to build in python3 only enviroment
- Run over a bit with spec-cleaner
2015-10-23 - tuukka.pasanen@ilmi.fi
- Added patch that prevents segfault when using newer iPod and iPhone (< iOS 5)
0002-323-Segmentation-fault-when-opening-ipod.patch
- Added patch that corrects few strings
0001-Fix-spelling-errors-in-comments-and-strings-using-co.patch
- Added patch that corrects compiling with newer libplist
0003-Fixed-PList-deprication.patch
2015-06-21 - crrodriguez@opensuse.org
- Use libusb-1_0-devel as BuildRequires not libusb-devel
as the old libusb compatibility layer is not used.
2015-03-24 - dvlaeev@suse.com
- Change bcond back again.. It turned out to be that mono bindings
are wanted by the openSUSE community.
2015-03-20 - dvlaeev@suse.com
- Build without Mono by default
2015-01-26 - dimstar@opensuse.org
- Add libgpod-swig-3.0.patch: Fix build with SWIG 3.0.
2013-12-22 - zaitor@opensuse.org
- Update to version 0.8.3:
+ Add support for libimobiledevice 1.1.5.
+ Remove use of some deprecated glib functions.
+ Fix various issues found using clang/cppcheck.
+ Improve robustness of the iphone callout.
- Drop libgpod-libimobiledevice-fix.patch, fixed upstream.
- Stop passing --enable-udev to configure, now default enabled.
- Remove conditional BuildRequires for obsolete openSUSE versions
(11.2 and older, no longer supported as evergreen either).
- Stop passing --with-hal-callouts-dir=%{_libexecdir}/hal and
and --disable-udev only needed for obsolete openSUSE versions.
2013-07-15 - coolo@suse.com
- fix build in factory by porting to new libimobiledevice api

See Also

Package Description
python2-gst-1.14.4-lp150.50.1.x86_64.rpm Python Bindings for GStreamer
python2-pymediainfo-2.3.0-lp150.7.1.noarch.rpm Python wrapper for the mediainfo library
python3-alsa-1.1.6-lp150.1.1.x86_64.rpm Python ALSA binding
python3-aubio-0.4.6-lp150.57.1.x86_64.rpm A collection of tools for music analysis
python3-caca-0.99.beta19.git20171003-lp150.63.4.noarch.rpm Python3 support for libcaca
python3-gst-1.14.4-lp150.50.1.x86_64.rpm Python Bindings for GStreamer
python3-lilv-0.24.4-lp150.35.1.x86_64.rpm Python 3 bindings for lilv
python3-openshot-0.2.2-lp150.19.1.x86_64.rpm Python bindings for the OpenShot library
python3-pymediainfo-2.3.0-lp150.7.1.noarch.rpm Python wrapper for the mediainfo library
qmelt-0.44+git20180223-lp150.111.1.x86_64.rpm A Melt that works with webvfx
quvi-0.9.5-lp150.19.7.x86_64.rpm Command line tool for parsing flash media stream URLs
rmedigicontrol-0.3.5a-lp150.109.1.x86_64.rpm GUI control tool for RME Digi32 and RME Digi96 soundcards
rtaudio-devel-5.0.0-lp150.4.3.x86_64.rpm Development files for rtaudio
rtmidi-devel-3.0.0-lp150.3.1.x86_64.rpm Development files for rtmidi
rubberband-cli-1.8.1-lp150.25.10.x86_64.rpm Command line interface for librubberband
Advertisement
Advertisement